Bug 164012 - [patch] x11/dmenu version upgrade 4.5 and Xft support
Summary: [patch] x11/dmenu version upgrade 4.5 and Xft support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 08:50 UTC by Aragon Gouveia
Modified: 2012-02-14 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (5.21 KB, patch)
2012-01-11 08:50 UTC, Aragon Gouveia
no flags Details | Diff
dmenu.txt (5.22 KB, text/plain)
2012-01-29 17:41 UTC, Aragon Gouveia
no flags Details
dmenu.diff (5.32 KB, patch)
2012-02-14 16:57 UTC, Jeroen Schot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aragon Gouveia 2012-01-11 08:50:08 UTC
Attached patch updates x11/dmenu to the latest release, v4.5.  It also adds a port option that provides Xft support to dmenu for using anti-aliased fonts.

I've also made some changes to how the port fixes the dmenu source, which I think is more robust through upgrades, and cleaner.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-01-11 08:50:17 UTC
Maintainer of x11/dmenu,

Please note that PR ports/164012 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164012

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-01-11 08:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2012-01-28 11:17:44 UTC
won't compile on amd64/8.2

dmenu build options:
CFLAGS   = -O2 -pipe -fno-strict-aliasing  -std=c99 -pedantic -Wall -Os -I/include -I/usr/local/include/freetype2  -D_BSD_SOURCE -DVERSION="4.5" -DXINERAMA
LDFLAGS  =  -s -L/lib -lX11 -lXinerama -lXft -lXrender -lfreetype -lz -lfontconfig
CC       = cc
CC -c dmenu.c
dmenu.c:8:22: error: X11/Xlib.h: No such file or directory
dmenu.c:9:23: error: X11/Xatom.h: No such file or directory
dmenu.c:10:23: error: X11/Xutil.h: No such file or directory
dmenu.c:12:37: error: X11/extensions/Xinerama.h: No such file or directory
In file included from dmenu.c:14:
draw.h:3:25: error: X11/Xft/Xft.h: No such file or directory
In file included from dmenu.c:14:


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 4 Aragon Gouveia 2012-01-29 17:41:38 UTC
Oops... X11BASE was recently deprecated.

Updated patch attached.
Comment 5 Aragon Gouveia 2012-01-29 17:53:10 UTC
Tested successfully on Redports:

https://redports.org/buildarchive/20120129184740-47498/
Comment 6 Michael Scheidell freebsd_committer 2012-01-30 12:23:23 UTC
Waiting maintainers approval.
New patch compiles fine.  Submitter tested in redports.
I tested in local tinderbox:
<http://lorie.secnap.net/tb/logs/8-scheidell_AMD64/dmenu-4.5.log>

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 Michael Scheidell freebsd_committer 2012-01-30 12:29:14 UTC
Question to submitter, and maintainer:
Anti-aliasing support was added as a option knob, with default On.  For 
upward compatibility, and so there are no additional 
features/ports/packages/files for someone updating, should this be 
default off?

Or, is does it add significantly more functionality that 75% or more of 
the current users will want?

If submitter can explain the benefits (for the ports audit logs), and 
maintainer agrees, then we would leave default on.
Mostly, this is a question of upwards compatibility vs significant 
additional functionality.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 8 Aragon Gouveia 2012-01-30 12:44:48 UTC
On the question of user wants, that's hard for one user (me) to answer. 
  I can't imagine there being more than 25% of users who don't want 
anti-aliased font support in any of their X11 apps these days.

On the question of upward compatibility, if you're looking for a 
maintainer of the patch, that would be me.  I got it approved with 
suckless.org and kept it updated for 4.4 and 4.5.  I'm not abandoning 
dmenu any time soon!  It's also unlikely there'll be many more dmenu 
updates since this:

http://lists.suckless.org/dev/1201/10538.html
Comment 9 Michael Scheidell freebsd_committer 2012-01-31 17:15:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Waiting for schot@a-eskwadraat.nl's approval
Comment 10 Michael Scheidell freebsd_committer 2012-02-13 12:30:27 UTC
State Changed
From-To: feedback->analyzed

Maintainer timeout. scheduled for commit.
Comment 11 Jeroen Schot 2012-02-13 13:47:13 UTC
Hello,

Sorry for my somewhat late reply.

Thanks for your interest in the x11/dmenu port and for your XFT patch.
I'm glad your willing to maintain the XFT patch, as there have been
some issues with that in the past.

I plan to look at this patch in some more detail and will send an
updated version this week the latest. One thing I will change is
indeed change the default of this option to 'Off'. This is consistent
with other suckless.org ports (such as x11-wm/dwm) and I do not
believe that a significant part of the users has a strong preference
for XFT.

Regards,
-- 
Jeroen Schot
Comment 12 Michael Scheidell freebsd_committer 2012-02-13 14:32:06 UTC
State Changed
From-To: analyzed->feedback

Ports aintainer wants to work on alternate patch. 
Waiting for maintainer's patch
Comment 13 Jeroen Schot 2012-02-14 16:57:47 UTC
Please use attached patch. It updates x11/dmenu to 4.5 and adds the
Xft patch (with an additional mirror). I chose not overhaul the way
the port modifies the source.

Regards,
-- 
Jeroen Schot
Comment 14 dfilter service freebsd_committer 2012-02-14 21:25:27 UTC
scheidell    2012-02-14 21:25:18 UTC

  FreeBSD ports repository

  Modified files:
    x11/dmenu            Makefile distinfo 
    x11/dmenu/files      patch-Makefile patch-config.mk 
  Log:
  - Upgrade to 4.5 [1]
  - Add optional XFS support [1]  (default off) [2]
  - Revised patch by maintainer [2]
  
  PR:             ports/164012
  Submitted by:   Aragon Gouveia <aragon@phat.za.net> [1]
  Approved by:    Jeroen Schot <schot@A-Eskwadraat.nl> (maintainer), gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.36      +14 -4     ports/x11/dmenu/Makefile
  1.33      +4 -2      ports/x11/dmenu/distinfo
  1.4       +10 -10    ports/x11/dmenu/files/patch-Makefile
  1.13      +9 -8      ports/x11/dmenu/files/patch-config.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Michael Scheidell freebsd_committer 2012-02-14 21:25:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!